textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ho/rf_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/ho/sky1.tga
	q3map_surfacelight 500
	q3map_sun 0.615686 0.807843 1.000000 100 335 30
	skyparms - 256 -
	{
		map textures/ho/sky1.tga
		tcmod scale 3 3
		tcmod scroll 0.02 0.02
		depthwrite
	}
	{
		map textures/ho/clouds1.tga
		blendfunc gl_one gl_one
		tcmod scale 4 4
		tcmod scroll 0.03 0.03
	}
}

textures/ho/pirhana_tail1
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ho/pirhana_tail1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ho/pirhana_dorsal1
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ho/pirhana_dorsal1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ho/metal_vent1
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ho/metal_vent1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ho/screen
{
	q3map_lightimage textures/ho/screen_env.tga
        q3map_surfacelight 100
	{
		map textures/ho/screen_line.tga
	        rgbgen identity
		tcmod scroll 3 1
	}
	      
        {
		map textures/ho/screen_reflc.tga
                tcgen environment
                blendfunc gl_one gl_one
	}
	
	{
		map $lightmap
                tcgen environment
                blendfunc gl_dst_color gl_one
	}

       
	{
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	
}

textures/ho/quakecdtray1
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ho/quakecdtray.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
        
	{
		map textures/sfx/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
        
	
        
        
        
     
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/sinny/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sinny/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/sinny/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/liquids/clear_ripple1
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity		
	}
}

textures/base_light/light1_5000
{
	qer_editorimage textures/base_light/light1.tga
	q3map_lightimage textures/base_light/light1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/light1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/glass/plainglass
{
surfaceparm nolightmap
surfaceparm nonsolid
cull twosided
	{
	map textures/glass/plainglass.tga
	tcgen environment
	blendfunc gl_one gl_one
      }
}

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

